Subject: bug#43847: ERC - prevent yanking multiple lines into IRC (feature request) *patch*

From: Corwin Brust <[email-masked]>
Date: Sat, 10 Oct 2020 00:00:31 -0500

If you are using this patch please ROLLBACK. 😊

On Thu, Oct 8, 2020 at 9:01 PM Corwin Brust <[email-masked]> wrote:
>
> Many thanks, Noam.
>
> On Wed, Oct 7, 2020 at 11:05 AM Noam Postavsky <[email-masked]> wrote:
> >
> > I hope an ERC user will follow up (I think Bandali was going over ERC
> > patches at some point?), but just some general comments:
>
> I'm hoping Bandali and other ERC users will look, also.  [...]

This has unpleasant results when the point is not immediately after
the ERC prompt, and likely in other cases I haven't found.

For a next pass I plan to:
* use `erc-display-line' instead of `insert'
* remove the new binding while we discuss ideal approaches
* create from master and see if I can I get tabs/spaces correct
* CC emacs-erc in hopes of soliciting more inputs

Thanks to Amin and others for discussions on IRC this evening.

Regards
Corwin